PHP Manual
Prev |  | Next

# cpdf_set_font

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_set_font -- Select the current font face and size

## Description

bool cpdf_set_font ( int pdf_document, string font_name, float size, string encoding )

Sets the current font face, font size and encoding.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`font_name`

  The font name. Currently only the standard postscript fonts are supported.

  See the ClibPDF Manual for more information, especially on how to support Asian fonts.

`size`

  The font size

`encoding`

  Can take the following values: `MacRomanEncoding`, `MacExpertEncoding`, `WinAnsiEncoding`, and `NULL` (the font's built-in encoding).

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
cpdf_set_font_map_file | Up | cpdf_set_horiz_scaling